bug#44545: Many Test Failures @3d62df2
Fred Wright <[email protected]> Mon, 9 Nov 2020 18:23:00 -0800 (PST)
| Newsgroups | gmane.comp.sysutils.dejagnu.bugs |
|---|---|
| Message-ID | <[email protected]> |
The built-in tests are currently failing on multiple platforms. The attached cases cover three versions of Linux (run on VMs), plus one on OSX (native). Also note that the CentOS and Fedora cases return zero exit statuses in spite of the failures. These were all run in git repos, to ensure that #44544 was irrelevant. Fred Wright _______________________________________________ Bug-dejagnu mailing list [email protected] https://lists.gnu.org/mailman/listinfo/bug-dejagnu
MacLinux-config.log
(application/octet-stream, 13.1 KB)
This file contains any messages produced by compilers while
running configure, to aid debugging if configure makes a mistake.
It was created by GNU DejaGnu configure 1.6.3-git, which was
generated by GNU Autoconf 2.69. Invocation command line was
$ ./configure
## --------- ##
## Platform. ##
## --------- ##
hostname = ubuntu
uname -m = x86_64
uname -r = 4.4.0-148-generic
uname -s = Linux
uname -v = #174~14.04.1-Ubuntu SMP Thu May 9 08:17:37 UTC 2019
/usr/bin/uname -p = unknown
/bin/uname -X = unknown
/bin/arch = unknown
/usr/bin/arch -k = unknown
/usr/convex/getsysinfo = unknown
/usr/bin/hostinfo = unknown
/bin/machine = unknown
/usr/bin/oslevel = unknown
/bin/universe = unknown
PATH: /usr/local/sbin
PATH: /usr/local/bin
PATH: /usr/sbin
PATH: /usr/bin
PATH: /sbin
PATH: /bin
PATH: /usr/games
PATH: /usr/local/games
## ----------- ##
## Core tests. ##
## ----------- ##
configure:1892: checking for a BSD-compatible install
configure:1960: result: /usr/bin/install -c
configure:1971: checking whether build environment is sane
configure:2026: result: yes
configure:2177: checking for a thread-safe mkdir -p
configure:2216: result: /bin/mkdir -p
configure:2223: checking for gawk
configure:2253: result: no
configure:2223: checking for mawk
configure:2239: found /usr/bin/mawk
configure:2250: result: mawk
configure:2261: checking whether make sets $(MAKE)
configure:2283: result: yes
configure:2312: checking whether make supports nested variables
configure:2329: result: yes
configure:2456: checking whether to enable maintainer-specific portions of Makefiles
configure:2465: result: no
configure:2478: checking whether make sets $(MAKE)
configure:2500: result: yes
configure:2514: checking for gawk
configure:2541: result: mawk
configure:2600: checking for gcc
configure:2616: found /usr/bin/gcc
configure:2627: result: gcc
configure:2856: checking for C compiler version
configure:2865: gcc --version >&5
gcc (Ubuntu 4.8.4-2ubuntu1~14.04.4) 4.8.4
Copyright (C) 2013 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
configure:2876: $? = 0
configure:2865: gcc -v >&5
Using built-in specs.
COLLECT_GCC=gcc
COLLECT_LTO_WRAPPER=/usr/lib/gcc/x86_64-linux-gnu/4.8/lto-wrapper
Target: x86_64-linux-gnu
Configured with: ../src/configure -v --with-pkgversion='Ubuntu 4.8.4-2ubuntu1~14.04.4' --with-bugurl=file:///usr/share/doc/gcc-4.8/README.Bugs --enable-languages=c,c++,java,go,d,fortran,objc,obj-c++ --prefix=/usr --program-suffix=-4.8 --enable-shared --enable-linker-build-id --libexecdir=/usr/lib --without-included-gettext --enable-threads=posix --with-gxx-include-dir=/usr/include/c++/4.8 --libdir=/usr/lib --enable-nls --with-sysroot=/ --enable-clocale=gnu --enable-libstdcxx-debug --enable-libstdcxx-time=yes --enable-gnu-unique-object --disable-libmudflap --enable-plugin --with-system-zlib --disable-browser-plugin --enable-java-awt=gtk --enable-gtk-cairo --with-java-home=/usr/lib/jvm/java-1.5.0-gcj-4.8-amd64/jre --enable-java-home --with-jvm-root-dir=/usr/lib/jvm/java-1.5.0-gcj-4.8-amd64 --with-jvm-jar-dir=/usr/lib/jvm-exports/java-1.5.0-gcj-4.8-amd64 --with-arch-directory=amd64 --with-ecj-jar=/usr/share/java/eclipse-ecj.jar --enable-objc-gc --enable-multiarch --disable-werror --with-arch-32=i686 --with-abi=m64 --with-multilib-list=m32,m64,mx32 --with-tune=generic --enable-checking=release --build=x86_64-linux-gnu --host=x86_64-linux-gnu --target=x86_64-linux-gnu
Thread model: posix
gcc version 4.8.4 (Ubuntu 4.8.4-2ubuntu1~14.04.4)
configure:2876: $? = 0
configure:2865: gcc -V >&5
gcc: error: unrecognized command line option '-V'
gcc: fatal error: no input files
compilation terminated.
configure:2876: $? = 4
configure:2865: gcc -qversion >&5
gcc: error: unrecognized command line option '-qversion'
gcc: fatal error: no input files
compilation terminated.
configure:2876: $? = 4
configure:2896: checking whether the C compiler works
configure:2918: gcc conftest.c >&5
configure:2922: $? = 0
configure:2970: result: yes
configure:2973: checking for C compiler default output file name
configure:2975: result: a.out
configure:2981: checking for suffix of executables
configure:2988: gcc -o conftest conftest.c >&5
configure:2992: $? = 0
configure:3014: result:
configure:3036: checking whether we are cross compiling
configure:3044: gcc -o conftest conftest.c >&5
configure:3048: $? = 0
configure:3055: ./conftest
configure:3059: $? = 0
configure:3074: result: no
configure:3079: checking for suffix of object files
configure:3101: gcc -c conftest.c >&5
configure:3105: $? = 0
configure:3126: result: o
configure:3130: checking whether we are using the GNU C compiler
configure:3149: gcc -c conftest.c >&5
configure:3149: $? = 0
configure:3158: result: yes
configure:3167: checking whether gcc accepts -g
configure:3187: gcc -c -g conftest.c >&5
configure:3187: $? = 0
configure:3228: result: yes
configure:3245: checking for gcc option to accept ISO C89
configure:3308: gcc -c -g -O2 conftest.c >&5
configure:3308: $? = 0
configure:3321: result: none needed
configure:3346: checking whether gcc understands -c and -o together
configure:3368: gcc -c conftest.c -o conftest2.o
configure:3371: $? = 0
configure:3368: gcc -c conftest.c -o conftest2.o
configure:3371: $? = 0
configure:3383: result: yes
configure:3403: checking whether make supports the include directive
configure:3418: make -f confmf.GNU && cat confinc.out
this is the am__doit target
configure:3421: $? = 0
configure:3440: result: yes (GNU style)
configure:3465: checking dependency style of gcc
configure:3576: result: gcc3
configure:3649: checking for g++
configure:3665: found /usr/bin/g++
configure:3676: result: g++
configure:3703: checking for C++ compiler version
configure:3712: g++ --version >&5
g++ (Ubuntu 4.8.4-2ubuntu1~14.04.4) 4.8.4
Copyright (C) 2013 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
configure:3723: $? = 0
configure:3712: g++ -v >&5
Using built-in specs.
COLLECT_GCC=g++
COLLECT_LTO_WRAPPER=/usr/lib/gcc/x86_64-linux-gnu/4.8/lto-wrapper
Target: x86_64-linux-gnu
Configured with: ../src/configure -v --with-pkgversion='Ubuntu 4.8.4-2ubuntu1~14.04.4' --with-bugurl=file:///usr/share/doc/gcc-4.8/README.Bugs --enable-languages=c,c++,java,go,d,fortran,objc,obj-c++ --prefix=/usr --program-suffix=-4.8 --enable-shared --enable-linker-build-id --libexecdir=/usr/lib --without-included-gettext --enable-threads=posix --with-gxx-include-dir=/usr/include/c++/4.8 --libdir=/usr/lib --enable-nls --with-sysroot=/ --enable-clocale=gnu --enable-libstdcxx-debug --enable-libstdcxx-time=yes --enable-gnu-unique-object --disable-libmudflap --enable-plugin --with-system-zlib --disable-browser-plugin --enable-java-awt=gtk --enable-gtk-cairo --with-java-home=/usr/lib/jvm/java-1.5.0-gcj-4.8-amd64/jre --enable-java-home --with-jvm-root-dir=/usr/lib/jvm/java-1.5.0-gcj-4.8-amd64 --with-jvm-jar-dir=/usr/lib/jvm-exports/java-1.5.0-gcj-4.8-amd64 --with-arch-directory=amd64 --with-ecj-jar=/usr/share/java/eclipse-ecj.jar --enable-objc-gc --enable-multiarch --disable-werror --with-arch-32=i686 --with-abi=m64 --with-multilib-list=m32,m64,mx32 --with-tune=generic --enable-checking=release --build=x86_64-linux-gnu --host=x86_64-linux-gnu --target=x86_64-linux-gnu
Thread model: posix
gcc version 4.8.4 (Ubuntu 4.8.4-2ubuntu1~14.04.4)
configure:3723: $? = 0
configure:3712: g++ -V >&5
g++: error: unrecognized command line option '-V'
g++: fatal error: no input files
compilation terminated.
configure:3723: $? = 4
configure:3712: g++ -qversion >&5
g++: error: unrecognized command line option '-qversion'
g++: fatal error: no input files
compilation terminated.
configure:3723: $? = 4
configure:3727: checking whether we are using the GNU C++ compiler
configure:3746: g++ -c conftest.cpp >&5
configure:3746: $? = 0
configure:3755: result: yes
configure:3764: checking whether g++ accepts -g
configure:3784: g++ -c -g conftest.cpp >&5
configure:3784: $? = 0
configure:3825: result: yes
configure:3850: checking dependency style of g++
configure:3961: result: gcc3
configure:3985: checking for expect
configure:4003: found /usr/bin/expect
configure:4015: result: /usr/bin/expect
configure:4027: checking Tcl version 8.5 or greater
configure:4040: result: yes
configure:4205: checking that generated files are newer than configure
configure:4211: result: done
configure:4242: creating ./config.status
## ---------------------- ##
## Running config.status. ##
## ---------------------- ##
This file was extended by GNU DejaGnu config.status 1.6.3-git, which was
generated by GNU Autoconf 2.69. Invocation command line was
CONFIG_FILES =
CONFIG_HEADERS =
CONFIG_LINKS =
CONFIG_COMMANDS =
$ ./config.status
on ubuntu
config.status:786: creating Makefile
config.status:958: executing depfiles commands
config.status:1035: cd . && sed -e '/# am--include-marker/d' Makefile | make -f - am--depfiles
config.status:1040: $? = 0
## ---------------- ##
## Cache variables. ##
## ---------------- ##
ac_cv_c_compiler_gnu=yes
ac_cv_cxx_compiler_gnu=yes
ac_cv_dg_tcl_modern=yes
ac_cv_env_CCC_set=
ac_cv_env_CCC_value=
ac_cv_env_CC_set=
ac_cv_env_CC_value=
ac_cv_env_CFLAGS_set=
ac_cv_env_CFLAGS_value=
ac_cv_env_CPPFLAGS_set=
ac_cv_env_CPPFLAGS_value=
ac_cv_env_CXXFLAGS_set=
ac_cv_env_CXXFLAGS_value=
ac_cv_env_CXX_set=
ac_cv_env_CXX_value=
ac_cv_env_LDFLAGS_set=
ac_cv_env_LDFLAGS_value=
ac_cv_env_LIBS_set=
ac_cv_env_LIBS_value=
ac_cv_env_build_alias_set=
ac_cv_env_build_alias_value=
ac_cv_env_host_alias_set=
ac_cv_env_host_alias_value=
ac_cv_env_target_alias_set=
ac_cv_env_target_alias_value=
ac_cv_objext=o
ac_cv_path_EXPECT=/usr/bin/expect
ac_cv_path_install='/usr/bin/install -c'
ac_cv_path_mkdir=/bin/mkdir
ac_cv_prog_AWK=mawk
ac_cv_prog_ac_ct_CC=gcc
ac_cv_prog_ac_ct_CXX=g++
ac_cv_prog_cc_c89=
ac_cv_prog_cc_g=yes
ac_cv_prog_cxx_g=yes
ac_cv_prog_make_make_set=yes
am_cv_CC_dependencies_compiler_type=gcc3
am_cv_CXX_dependencies_compiler_type=gcc3
am_cv_make_support_nested_variables=yes
am_cv_prog_cc_c_o=yes
## ----------------- ##
## Output variables. ##
## ----------------- ##
ACLOCAL='${SHELL} /home/fw/git/dejagnu/missing aclocal-1.16'
AMDEPBACKSLASH='\'
AMDEP_FALSE='#'
AMDEP_TRUE=''
AMTAR='$${TAR-tar}'
AM_BACKSLASH='\'
AM_DEFAULT_V='$(AM_DEFAULT_VERBOSITY)'
AM_DEFAULT_VERBOSITY='1'
AM_V='$(V)'
AUTOCONF='${SHELL} /home/fw/git/dejagnu/missing autoconf'
AUTOHEADER='${SHELL} /home/fw/git/dejagnu/missing autoheader'
AUTOMAKE='${SHELL} /home/fw/git/dejagnu/missing automake-1.16'
AWK='mawk'
BRANCH='master'
CC='gcc'
CCDEPMODE='depmode=gcc3'
CFLAGS='-g -O2'
CPPFLAGS=''
CXX='g++'
CXXDEPMODE='depmode=gcc3'
CXXFLAGS='-g -O2'
CYGPATH_W='echo'
DEFS='-DPACKAGE_NAME=\"GNU\ DejaGnu\" -DPACKAGE_TARNAME=\"dejagnu\" -DPACKAGE_VERSION=\"1.6.3-git\" -DPACKAGE_STRING=\"GNU\ DejaGnu\ 1.6.3-git\" -DPACKAGE_BUGREPORT=\"[email protected]\" -DPACKAGE_URL=\"http://www.gnu.org/software/dejagnu/\" -DPACKAGE=\"dejagnu\" -DVERSION=\"1.6.3-git\"'
DEJAGNU='/dev/null'
DEPDIR='.deps'
ECHO_C=''
ECHO_N='-n'
ECHO_T=''
EXEEXT=''
EXPECT='/usr/bin/expect'
INSTALL_DATA='${INSTALL} -m 644'
INSTALL_PROGRAM='${INSTALL}'
INSTALL_SCRIPT='${INSTALL}'
INSTALL_STRIP_PROGRAM='$(install_sh) -c -s'
LDFLAGS=''
LIBOBJS=''
LIBS=''
LTLIBOBJS=''
MAINT='#'
MAINTAINER_MODE_FALSE=''
MAINTAINER_MODE_TRUE='#'
MAKEINFO='${SHELL} /home/fw/git/dejagnu/missing makeinfo'
MKDIR_P='/bin/mkdir -p'
OBJEXT='o'
PACKAGE='dejagnu'
PACKAGE_BUGREPORT='[email protected]'
PACKAGE_NAME='GNU DejaGnu'
PACKAGE_STRING='GNU DejaGnu 1.6.3-git'
PACKAGE_TARNAME='dejagnu'
PACKAGE_URL='http://www.gnu.org/software/dejagnu/'
PACKAGE_VERSION='1.6.3-git'
PATH_SEPARATOR=':'
SET_MAKE=''
SHELL='/bin/bash'
STRIP=''
VERSION='1.6.3-git'
ac_ct_CC='gcc'
ac_ct_CXX='g++'
am__EXEEXT_FALSE=''
am__EXEEXT_TRUE='#'
am__fastdepCC_FALSE='#'
am__fastdepCC_TRUE=''
am__fastdepCXX_FALSE='#'
am__fastdepCXX_TRUE=''
am__include='include'
am__isrc=''
am__leading_dot='.'
am__nodep='_no'
am__quote=''
am__tar='$${TAR-tar} chof - "$$tardir"'
am__untar='$${TAR-tar} xf -'
bindir='${exec_prefix}/bin'
build_alias=''
datadir='${datarootdir}'
datarootdir='${prefix}/share'
docdir='${datarootdir}/doc/${PACKAGE_TARNAME}'
dvidir='${docdir}'
exec_prefix='${prefix}'
host_alias=''
htmldir='${docdir}'
includedir='${prefix}/include'
infodir='${datarootdir}/info'
install_sh='${SHELL} /home/fw/git/dejagnu/install-sh'
libdir='${exec_prefix}/lib'
libexecdir='${exec_prefix}/libexec'
localedir='${datarootdir}/locale'
localstatedir='${prefix}/var'
mandir='${datarootdir}/man'
mkdir_p='$(MKDIR_P)'
oldincludedir='/usr/include'
pdfdir='${docdir}'
prefix='/usr/local'
program_transform_name='s,x,x,'
psdir='${docdir}'
sbindir='${exec_prefix}/sbin'
sharedstatedir='${prefix}/com'
sysconfdir='${prefix}/etc'
target_alias=''
## ----------- ##
## confdefs.h. ##
## ----------- ##
/* confdefs.h */
#define PACKAGE_NAME "GNU DejaGnu"
#define PACKAGE_TARNAME "dejagnu"
#define PACKAGE_VERSION "1.6.3-git"
#define PACKAGE_STRING "GNU DejaGnu 1.6.3-git"
#define PACKAGE_BUGREPORT "[email protected]"
#define PACKAGE_URL "http://www.gnu.org/software/dejagnu/"
#define PACKAGE "dejagnu"
#define VERSION "1.6.3-git"
configure: exit 0
MacLinux-check.log
(text/plain, 7 KB)
Done. Now run 'make install'.
make unit
make[1]: Entering directory `/home/fw/git/dejagnu'
make[1]: `unit' is up to date.
make[1]: Leaving directory `/home/fw/git/dejagnu'
make check-DEJAGNU
make[1]: Entering directory `/home/fw/git/dejagnu'
srcdir='.'; export srcdir; \
EXPECT=/usr/bin/expect; export EXPECT; \
if /bin/bash -c "./runtest --version" > /dev/null 2>&1; then \
exit_status=0; l='launcher libdejagnu report-card runtest'; for tool in $l; do \
if ./runtest --tool $tool --srcdir $srcdir ; \
then :; else exit_status=1; fi; \
done; \
else echo "WARNING: could not find './runtest'" 1>&2; :;\
fi; \
exit $exit_status
Using ./testsuite/lib/launcher.exp as tool init file.
Test run by fw on Mon Nov 9 18:09:27 2020
Native configuration is x86_64-pc-linux-gnu
=== launcher tests ===
Schedule of variations:
unix
Running target unix
Using ./baseboards/unix.exp as board description file for target.
Using ./config/unix.exp as generic interface file for target.
Using ./testsuite/../config/unix.exp as tool-and-target-specific interface file.
Running ./testsuite/launcher.all/command.exp ...
ERROR: Could not set up test environment.
ERROR: Could not set up test environment.
ERROR: Could not set up test environment.
ERROR: Could not set up test environment.
ERROR: Could not set up test environment.
Running ./testsuite/launcher.all/help.exp ...
Running ./testsuite/launcher.all/interp.exp ...
Running ./testsuite/launcher.all/verbose.exp ...
=== launcher Summary ===
# of expected passes 19
# of unsupported tests 33
Using ./testsuite/lib/libdejagnu.exp as tool init file.
Test run by fw on Mon Nov 9 18:09:28 2020
Native configuration is x86_64-pc-linux-gnu
=== libdejagnu tests ===
Schedule of variations:
unix
Running target unix
Using ./baseboards/unix.exp as board description file for target.
Using ./config/unix.exp as generic interface file for target.
Using ./testsuite/../config/unix.exp as tool-and-target-specific interface file.
Running ./testsuite/libdejagnu/tunit.exp ...
=== libdejagnu Summary ===
# of expected passes 5
Using ./testsuite/lib/report-card.exp as tool init file.
Test run by fw on Mon Nov 9 18:09:28 2020
Native configuration is x86_64-pc-linux-gnu
=== report-card tests ===
Schedule of variations:
unix
Running target unix
Using ./baseboards/unix.exp as board description file for target.
Using ./config/unix.exp as generic interface file for target.
Using ./testsuite/../config/unix.exp as tool-and-target-specific interface file.
Running ./testsuite/report-card.all/onetest.exp ...
ERROR: tcl error sourcing ./testsuite/report-card.all/onetest.exp.
ERROR: tcl error code NONE
ERROR: expect: spawn id exp7 not open
while executing
"expect {
-re $re_table_row {
for { set i 2 } { $i < 9 } { incr i } {
if { $expect_out($i,string)\
== ( $i == $column_subexp_map($expe..."
(file "./testsuite/report-card.all/onetest.exp" line 85)
invoked from within
"source ./testsuite/report-card.all/onetest.exp"
("uplevel" body line 1)
invoked from within
"uplevel #0 source ./testsuite/report-card.all/onetest.exp"
invoked from within
"catch "uplevel #0 source $test_file_name" msg"
Running ./testsuite/report-card.all/passes.exp ...
ERROR: tcl error sourcing ./testsuite/report-card.all/passes.exp.
ERROR: tcl error code NONE
ERROR: expect: spawn id exp8 not open
while executing
"expect {
-re $re_file_row {
foreach column $result_column_map colname $header_column_names have $expect_out(3,string) {
set want 0
..."
(procedure "run_multipass_output_test" line 67)
invoked from within
"run_multipass_output_test $filetag"
("foreach" body line 2)
invoked from within
"foreach filetag [lsort [array names tuplemap]] {
run_multipass_output_test $filetag
}"
(file "./testsuite/report-card.all/passes.exp" line 272)
invoked from within
"source ./testsuite/report-card.all/passes.exp"
("uplevel" body line 1)
invoked from within
"uplevel #0 source ./testsuite/report-card.all/passes.exp"
invoked from within
"catch "uplevel #0 source $test_file_name" msg"
=== report-card Summary ===
# of unresolved testcases 2
ERROR: -------------------------------------------
ERROR: in testcase ./testsuite/report-card.all/onetest.exp
ERROR: expect: spawn id exp7 not open
ERROR: tcl error code NONE
ERROR: tcl error info:
expect: spawn id exp7 not open
while executing
"expect {
-re $re_table_row {
for { set i 2 } { $i < 9 } { incr i } {
if { $expect_out($i,string)\
== ( $i == $column_subexp_map($expe..."
(file "./testsuite/report-card.all/onetest.exp" line 85)
invoked from within
"source ./testsuite/report-card.all/onetest.exp"
("uplevel" body line 1)
invoked from within
"uplevel #0 source ./testsuite/report-card.all/onetest.exp"
invoked from within
"catch "uplevel #0 source $test_file_name" msg"
--------------------------------------------------
ERROR: -------------------------------------------
ERROR: in testcase ./testsuite/report-card.all/passes.exp
ERROR: expect: spawn id exp8 not open
ERROR: tcl error code NONE
ERROR: tcl error info:
expect: spawn id exp8 not open
while executing
"expect {
-re $re_file_row {
foreach column $result_column_map colname $header_column_names have $expect_out(3,string) {
set want 0
..."
(procedure "run_multipass_output_test" line 67)
invoked from within
"run_multipass_output_test $filetag"
("foreach" body line 2)
invoked from within
"foreach filetag [lsort [array names tuplemap]] {
run_multipass_output_test $filetag
}"
(file "./testsuite/report-card.all/passes.exp" line 272)
invoked from within
"source ./testsuite/report-card.all/passes.exp"
("uplevel" body line 1)
invoked from within
"uplevel #0 source ./testsuite/report-card.all/passes.exp"
invoked from within
"catch "uplevel #0 source $test_file_name" msg"
--------------------------------------------------
Using ./testsuite/lib/runtest.exp as tool init file.
Test run by fw on Mon Nov 9 18:09:28 2020
Native configuration is x86_64-pc-linux-gnu
=== runtest tests ===
Schedule of variations:
unix
Running target unix
Using ./baseboards/unix.exp as board description file for target.
Using ./config/unix.exp as generic interface file for target.
Using ./testsuite/../config/unix.exp as tool-and-target-specific interface file.
Running ./testsuite/runtest.libs/libs.exp ...
Running ./testsuite/runtest.libs/load_lib.exp ...
Running ./testsuite/runtest.main/error.exp ...
Running ./testsuite/runtest.main/options.exp ...
Running ./testsuite/runtest.main/pr42399.exp ...
Running ./testsuite/runtest.main/stats.exp ...
=== runtest Summary ===
# of expected passes 296
DejaGnu version 1.6.3-git
Expect version 5.45
Tcl version 8.6
make[1]: *** [check-DEJAGNU] Error 1
make[1]: Leaving directory `/home/fw/git/dejagnu'
make: *** [check-am] Error 2
MacCent-config.log
(text/plain, 12.6 KB)
This file contains any messages produced by compilers while
running configure, to aid debugging if configure makes a mistake.
It was created by GNU DejaGnu configure 1.6.3-git, which was
generated by GNU Autoconf 2.69. Invocation command line was
$ ./configure
## --------- ##
## Platform. ##
## --------- ##
hostname = maccent.local
uname -m = x86_64
uname -r = 3.10.0-957.5.1.el7.x86_64
uname -s = Linux
uname -v = #1 SMP Fri Feb 1 14:54:57 UTC 2019
/usr/bin/uname -p = x86_64
/bin/uname -X = unknown
/bin/arch = x86_64
/usr/bin/arch -k = unknown
/usr/convex/getsysinfo = unknown
/usr/bin/hostinfo = unknown
/bin/machine = unknown
/usr/bin/oslevel = unknown
/bin/universe = unknown
PATH: /usr/lib64/qt-3.3/bin
PATH: /home/fw/perl5/bin
PATH: /usr/local/bin
PATH: /usr/bin
## ----------- ##
## Core tests. ##
## ----------- ##
configure:1892: checking for a BSD-compatible install
configure:1960: result: /usr/bin/install -c
configure:1971: checking whether build environment is sane
configure:2026: result: yes
configure:2177: checking for a thread-safe mkdir -p
configure:2216: result: /usr/bin/mkdir -p
configure:2223: checking for gawk
configure:2239: found /usr/bin/gawk
configure:2250: result: gawk
configure:2261: checking whether make sets $(MAKE)
configure:2283: result: yes
configure:2312: checking whether make supports nested variables
configure:2329: result: yes
configure:2456: checking whether to enable maintainer-specific portions of Makefiles
configure:2465: result: no
configure:2478: checking whether make sets $(MAKE)
configure:2500: result: yes
configure:2514: checking for gawk
configure:2541: result: gawk
configure:2600: checking for gcc
configure:2616: found /usr/bin/gcc
configure:2627: result: gcc
configure:2856: checking for C compiler version
configure:2865: gcc --version >&5
gcc (GCC) 4.8.5 20150623 (Red Hat 4.8.5-36)
Copyright (C) 2015 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
configure:2876: $? = 0
configure:2865: gcc -v >&5
Using built-in specs.
COLLECT_GCC=gcc
COLLECT_LTO_WRAPPER=/usr/libexec/gcc/x86_64-redhat-linux/4.8.5/lto-wrapper
Target: x86_64-redhat-linux
Configured with: ../configure --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info --with-bugurl=http://bugzilla.redhat.com/bugzilla --enable-bootstrap --enable-shared --enable-threads=posix --enable-checking=release --with-system-zlib --enable-__cxa_atexit --disable-libunwind-exceptions --enable-gnu-unique-object --enable-linker-build-id --with-linker-hash-style=gnu --enable-languages=c,c++,objc,obj-c++,java,fortran,ada,go,lto --enable-plugin --enable-initfini-array --disable-libgcj --with-isl=/builddir/build/BUILD/gcc-4.8.5-20150702/obj-x86_64-redhat-linux/isl-install --with-cloog=/builddir/build/BUILD/gcc-4.8.5-20150702/obj-x86_64-redhat-linux/cloog-install --enable-gnu-indirect-function --with-tune=generic --with-arch_32=x86-64 --build=x86_64-redhat-linux
Thread model: posix
gcc version 4.8.5 20150623 (Red Hat 4.8.5-36) (GCC)
configure:2876: $? = 0
configure:2865: gcc -V >&5
gcc: error: unrecognized command line option '-V'
gcc: fatal error: no input files
compilation terminated.
configure:2876: $? = 4
configure:2865: gcc -qversion >&5
gcc: error: unrecognized command line option '-qversion'
gcc: fatal error: no input files
compilation terminated.
configure:2876: $? = 4
configure:2896: checking whether the C compiler works
configure:2918: gcc conftest.c >&5
configure:2922: $? = 0
configure:2970: result: yes
configure:2973: checking for C compiler default output file name
configure:2975: result: a.out
configure:2981: checking for suffix of executables
configure:2988: gcc -o conftest conftest.c >&5
configure:2992: $? = 0
configure:3014: result:
configure:3036: checking whether we are cross compiling
configure:3044: gcc -o conftest conftest.c >&5
configure:3048: $? = 0
configure:3055: ./conftest
configure:3059: $? = 0
configure:3074: result: no
configure:3079: checking for suffix of object files
configure:3101: gcc -c conftest.c >&5
configure:3105: $? = 0
configure:3126: result: o
configure:3130: checking whether we are using the GNU C compiler
configure:3149: gcc -c conftest.c >&5
configure:3149: $? = 0
configure:3158: result: yes
configure:3167: checking whether gcc accepts -g
configure:3187: gcc -c -g conftest.c >&5
configure:3187: $? = 0
configure:3228: result: yes
configure:3245: checking for gcc option to accept ISO C89
configure:3308: gcc -c -g -O2 conftest.c >&5
configure:3308: $? = 0
configure:3321: result: none needed
configure:3346: checking whether gcc understands -c and -o together
configure:3368: gcc -c conftest.c -o conftest2.o
configure:3371: $? = 0
configure:3368: gcc -c conftest.c -o conftest2.o
configure:3371: $? = 0
configure:3383: result: yes
configure:3403: checking whether make supports the include directive
configure:3418: make -f confmf.GNU && cat confinc.out
this is the am__doit target
configure:3421: $? = 0
configure:3440: result: yes (GNU style)
configure:3465: checking dependency style of gcc
configure:3576: result: gcc3
configure:3649: checking for g++
configure:3665: found /usr/bin/g++
configure:3676: result: g++
configure:3703: checking for C++ compiler version
configure:3712: g++ --version >&5
g++ (GCC) 4.8.5 20150623 (Red Hat 4.8.5-36)
Copyright (C) 2015 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
configure:3723: $? = 0
configure:3712: g++ -v >&5
Using built-in specs.
COLLECT_GCC=g++
COLLECT_LTO_WRAPPER=/usr/libexec/gcc/x86_64-redhat-linux/4.8.5/lto-wrapper
Target: x86_64-redhat-linux
Configured with: ../configure --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info --with-bugurl=http://bugzilla.redhat.com/bugzilla --enable-bootstrap --enable-shared --enable-threads=posix --enable-checking=release --with-system-zlib --enable-__cxa_atexit --disable-libunwind-exceptions --enable-gnu-unique-object --enable-linker-build-id --with-linker-hash-style=gnu --enable-languages=c,c++,objc,obj-c++,java,fortran,ada,go,lto --enable-plugin --enable-initfini-array --disable-libgcj --with-isl=/builddir/build/BUILD/gcc-4.8.5-20150702/obj-x86_64-redhat-linux/isl-install --with-cloog=/builddir/build/BUILD/gcc-4.8.5-20150702/obj-x86_64-redhat-linux/cloog-install --enable-gnu-indirect-function --with-tune=generic --with-arch_32=x86-64 --build=x86_64-redhat-linux
Thread model: posix
gcc version 4.8.5 20150623 (Red Hat 4.8.5-36) (GCC)
configure:3723: $? = 0
configure:3712: g++ -V >&5
g++: error: unrecognized command line option '-V'
g++: fatal error: no input files
compilation terminated.
configure:3723: $? = 4
configure:3712: g++ -qversion >&5
g++: error: unrecognized command line option '-qversion'
g++: fatal error: no input files
compilation terminated.
configure:3723: $? = 4
configure:3727: checking whether we are using the GNU C++ compiler
configure:3746: g++ -c conftest.cpp >&5
configure:3746: $? = 0
configure:3755: result: yes
configure:3764: checking whether g++ accepts -g
configure:3784: g++ -c -g conftest.cpp >&5
configure:3784: $? = 0
configure:3825: result: yes
configure:3850: checking dependency style of g++
configure:3961: result: gcc3
configure:3985: checking for expect
configure:4003: found /usr/bin/expect
configure:4015: result: /usr/bin/expect
configure:4027: checking Tcl version 8.5 or greater
configure:4040: result: yes
configure:4205: checking that generated files are newer than configure
configure:4211: result: done
configure:4242: creating ./config.status
## ---------------------- ##
## Running config.status. ##
## ---------------------- ##
This file was extended by GNU DejaGnu config.status 1.6.3-git, which was
generated by GNU Autoconf 2.69. Invocation command line was
CONFIG_FILES =
CONFIG_HEADERS =
CONFIG_LINKS =
CONFIG_COMMANDS =
$ ./config.status
on maccent.local
config.status:786: creating Makefile
config.status:958: executing depfiles commands
config.status:1035: cd . && sed -e '/# am--include-marker/d' Makefile | make -f - am--depfiles
config.status:1040: $? = 0
## ---------------- ##
## Cache variables. ##
## ---------------- ##
ac_cv_c_compiler_gnu=yes
ac_cv_cxx_compiler_gnu=yes
ac_cv_dg_tcl_modern=yes
ac_cv_env_CCC_set=
ac_cv_env_CCC_value=
ac_cv_env_CC_set=
ac_cv_env_CC_value=
ac_cv_env_CFLAGS_set=
ac_cv_env_CFLAGS_value=
ac_cv_env_CPPFLAGS_set=
ac_cv_env_CPPFLAGS_value=
ac_cv_env_CXXFLAGS_set=
ac_cv_env_CXXFLAGS_value=
ac_cv_env_CXX_set=
ac_cv_env_CXX_value=
ac_cv_env_LDFLAGS_set=
ac_cv_env_LDFLAGS_value=
ac_cv_env_LIBS_set=
ac_cv_env_LIBS_value=
ac_cv_env_build_alias_set=
ac_cv_env_build_alias_value=
ac_cv_env_host_alias_set=
ac_cv_env_host_alias_value=
ac_cv_env_target_alias_set=
ac_cv_env_target_alias_value=
ac_cv_objext=o
ac_cv_path_EXPECT=/usr/bin/expect
ac_cv_path_install='/usr/bin/install -c'
ac_cv_path_mkdir=/usr/bin/mkdir
ac_cv_prog_AWK=gawk
ac_cv_prog_ac_ct_CC=gcc
ac_cv_prog_ac_ct_CXX=g++
ac_cv_prog_cc_c89=
ac_cv_prog_cc_g=yes
ac_cv_prog_cxx_g=yes
ac_cv_prog_make_make_set=yes
am_cv_CC_dependencies_compiler_type=gcc3
am_cv_CXX_dependencies_compiler_type=gcc3
am_cv_make_support_nested_variables=yes
am_cv_prog_cc_c_o=yes
## ----------------- ##
## Output variables. ##
## ----------------- ##
ACLOCAL='${SHELL} /home/fw/git/dejagnu/missing aclocal-1.16'
AMDEPBACKSLASH='\'
AMDEP_FALSE='#'
AMDEP_TRUE=''
AMTAR='$${TAR-tar}'
AM_BACKSLASH='\'
AM_DEFAULT_V='$(AM_DEFAULT_VERBOSITY)'
AM_DEFAULT_VERBOSITY='1'
AM_V='$(V)'
AUTOCONF='${SHELL} /home/fw/git/dejagnu/missing autoconf'
AUTOHEADER='${SHELL} /home/fw/git/dejagnu/missing autoheader'
AUTOMAKE='${SHELL} /home/fw/git/dejagnu/missing automake-1.16'
AWK='gawk'
BRANCH='master'
CC='gcc'
CCDEPMODE='depmode=gcc3'
CFLAGS='-g -O2'
CPPFLAGS=''
CXX='g++'
CXXDEPMODE='depmode=gcc3'
CXXFLAGS='-g -O2'
CYGPATH_W='echo'
DEFS='-DPACKAGE_NAME=\"GNU\ DejaGnu\" -DPACKAGE_TARNAME=\"dejagnu\" -DPACKAGE_VERSION=\"1.6.3-git\" -DPACKAGE_STRING=\"GNU\ DejaGnu\ 1.6.3-git\" -DPACKAGE_BUGREPORT=\"[email protected]\" -DPACKAGE_URL=\"http://www.gnu.org/software/dejagnu/\" -DPACKAGE=\"dejagnu\" -DVERSION=\"1.6.3-git\"'
DEJAGNU='/dev/null'
DEPDIR='.deps'
ECHO_C=''
ECHO_N='-n'
ECHO_T=''
EXEEXT=''
EXPECT='/usr/bin/expect'
INSTALL_DATA='${INSTALL} -m 644'
INSTALL_PROGRAM='${INSTALL}'
INSTALL_SCRIPT='${INSTALL}'
INSTALL_STRIP_PROGRAM='$(install_sh) -c -s'
LDFLAGS=''
LIBOBJS=''
LIBS=''
LTLIBOBJS=''
MAINT='#'
MAINTAINER_MODE_FALSE=''
MAINTAINER_MODE_TRUE='#'
MAKEINFO='${SHELL} /home/fw/git/dejagnu/missing makeinfo'
MKDIR_P='/usr/bin/mkdir -p'
OBJEXT='o'
PACKAGE='dejagnu'
PACKAGE_BUGREPORT='[email protected]'
PACKAGE_NAME='GNU DejaGnu'
PACKAGE_STRING='GNU DejaGnu 1.6.3-git'
PACKAGE_TARNAME='dejagnu'
PACKAGE_URL='http://www.gnu.org/software/dejagnu/'
PACKAGE_VERSION='1.6.3-git'
PATH_SEPARATOR=':'
SET_MAKE=''
SHELL='/bin/sh'
STRIP=''
VERSION='1.6.3-git'
ac_ct_CC='gcc'
ac_ct_CXX='g++'
am__EXEEXT_FALSE=''
am__EXEEXT_TRUE='#'
am__fastdepCC_FALSE='#'
am__fastdepCC_TRUE=''
am__fastdepCXX_FALSE='#'
am__fastdepCXX_TRUE=''
am__include='include'
am__isrc=''
am__leading_dot='.'
am__nodep='_no'
am__quote=''
am__tar='$${TAR-tar} chof - "$$tardir"'
am__untar='$${TAR-tar} xf -'
bindir='${exec_prefix}/bin'
build_alias=''
datadir='${datarootdir}'
datarootdir='${prefix}/share'
docdir='${datarootdir}/doc/${PACKAGE_TARNAME}'
dvidir='${docdir}'
exec_prefix='${prefix}'
host_alias=''
htmldir='${docdir}'
includedir='${prefix}/include'
infodir='${datarootdir}/info'
install_sh='${SHELL} /home/fw/git/dejagnu/install-sh'
libdir='${exec_prefix}/lib'
libexecdir='${exec_prefix}/libexec'
localedir='${datarootdir}/locale'
localstatedir='${prefix}/var'
mandir='${datarootdir}/man'
mkdir_p='$(MKDIR_P)'
oldincludedir='/usr/include'
pdfdir='${docdir}'
prefix='/usr/local'
program_transform_name='s,x,x,'
psdir='${docdir}'
sbindir='${exec_prefix}/sbin'
sharedstatedir='${prefix}/com'
sysconfdir='${prefix}/etc'
target_alias=''
## ----------- ##
## confdefs.h. ##
## ----------- ##
/* confdefs.h */
#define PACKAGE_NAME "GNU DejaGnu"
#define PACKAGE_TARNAME "dejagnu"
#define PACKAGE_VERSION "1.6.3-git"
#define PACKAGE_STRING "GNU DejaGnu 1.6.3-git"
#define PACKAGE_BUGREPORT "[email protected]"
#define PACKAGE_URL "http://www.gnu.org/software/dejagnu/"
#define PACKAGE "dejagnu"
#define VERSION "1.6.3-git"
configure: exit 0
MacCent-check.log
(text/plain, 3.6 KB)
Done. Now run 'make install'.
make unit
make[1]: Entering directory `/home/fw/git/dejagnu'
make[1]: `unit' is up to date.
make[1]: Leaving directory `/home/fw/git/dejagnu'
make check-DEJAGNU
make[1]: Entering directory `/home/fw/git/dejagnu'
srcdir='.'; export srcdir; \
EXPECT=/usr/bin/expect; export EXPECT; \
if /bin/sh -c "./runtest --version" > /dev/null 2>&1; then \
exit_status=0; l='launcher libdejagnu report-card runtest'; for tool in $l; do \
if ./runtest --tool $tool --srcdir $srcdir ; \
then :; else exit_status=1; fi; \
done; \
else echo "WARNING: could not find './runtest'" 1>&2; :;\
fi; \
exit $exit_status
Using ./testsuite/lib/launcher.exp as tool init file.
Test run by fw on Mon Nov 9 18:09:31 2020
Native configuration is x86_64-pc-linux-gnu
=== launcher tests ===
Schedule of variations:
unix
Running target unix
Using ./baseboards/unix.exp as board description file for target.
Using ./config/unix.exp as generic interface file for target.
Using ./testsuite/../config/unix.exp as tool-and-target-specific interface file.
Running ./testsuite/launcher.all/command.exp ...
ERROR: Could not set up test environment.
ERROR: Could not set up test environment.
ERROR: Could not set up test environment.
ERROR: Could not set up test environment.
ERROR: Could not set up test environment.
Running ./testsuite/launcher.all/help.exp ...
Running ./testsuite/launcher.all/interp.exp ...
Running ./testsuite/launcher.all/verbose.exp ...
=== launcher Summary ===
# of expected passes 19
# of unsupported tests 33
Using ./testsuite/lib/libdejagnu.exp as tool init file.
Test run by fw on Mon Nov 9 18:09:31 2020
Native configuration is x86_64-pc-linux-gnu
=== libdejagnu tests ===
Schedule of variations:
unix
Running target unix
Using ./baseboards/unix.exp as board description file for target.
Using ./config/unix.exp as generic interface file for target.
Using ./testsuite/../config/unix.exp as tool-and-target-specific interface file.
Running ./testsuite/libdejagnu/tunit.exp ...
=== libdejagnu Summary ===
# of expected passes 5
Using ./testsuite/lib/report-card.exp as tool init file.
Test run by fw on Mon Nov 9 18:09:31 2020
Native configuration is x86_64-pc-linux-gnu
=== report-card tests ===
Schedule of variations:
unix
Running target unix
Using ./baseboards/unix.exp as board description file for target.
Using ./config/unix.exp as generic interface file for target.
Using ./testsuite/../config/unix.exp as tool-and-target-specific interface file.
Running ./testsuite/report-card.all/onetest.exp ...
Running ./testsuite/report-card.all/passes.exp ...
=== report-card Summary ===
# of expected passes 245
Using ./testsuite/lib/runtest.exp as tool init file.
Test run by fw on Mon Nov 9 18:09:32 2020
Native configuration is x86_64-pc-linux-gnu
=== runtest tests ===
Schedule of variations:
unix
Running target unix
Using ./baseboards/unix.exp as board description file for target.
Using ./config/unix.exp as generic interface file for target.
Using ./testsuite/../config/unix.exp as tool-and-target-specific interface file.
Running ./testsuite/runtest.libs/libs.exp ...
Running ./testsuite/runtest.libs/load_lib.exp ...
Running ./testsuite/runtest.main/error.exp ...
Running ./testsuite/runtest.main/options.exp ...
Running ./testsuite/runtest.main/pr42399.exp ...
Running ./testsuite/runtest.main/stats.exp ...
=== runtest Summary ===
# of expected passes 296
DejaGnu version 1.6.3-git
Expect version 5.45
Tcl version 8.5
make[1]: Leaving directory `/home/fw/git/dejagnu'
MacFed-config.log
(text/plain, 12.4 KB)
This file contains any messages produced by compilers while
running configure, to aid debugging if configure makes a mistake.
It was created by GNU DejaGnu configure 1.6.3-git, which was
generated by GNU Autoconf 2.69. Invocation command line was
$ ./configure
## --------- ##
## Platform. ##
## --------- ##
hostname = MacFed.local
uname -m = x86_64
uname -r = 4.13.16-100.fc25.x86_64
uname -s = Linux
uname -v = #1 SMP Mon Nov 27 19:52:46 UTC 2017
/usr/bin/uname -p = x86_64
/bin/uname -X = unknown
/bin/arch = x86_64
/usr/bin/arch -k = unknown
/usr/convex/getsysinfo = unknown
/usr/bin/hostinfo = unknown
/bin/machine = unknown
/usr/bin/oslevel = unknown
/bin/universe = unknown
PATH: /usr/local/bin
PATH: /usr/bin
## ----------- ##
## Core tests. ##
## ----------- ##
configure:1892: checking for a BSD-compatible install
configure:1960: result: /usr/bin/install -c
configure:1971: checking whether build environment is sane
configure:2026: result: yes
configure:2177: checking for a thread-safe mkdir -p
configure:2216: result: /usr/bin/mkdir -p
configure:2223: checking for gawk
configure:2239: found /usr/bin/gawk
configure:2250: result: gawk
configure:2261: checking whether make sets $(MAKE)
configure:2283: result: yes
configure:2312: checking whether make supports nested variables
configure:2329: result: yes
configure:2456: checking whether to enable maintainer-specific portions of Makefiles
configure:2465: result: no
configure:2478: checking whether make sets $(MAKE)
configure:2500: result: yes
configure:2514: checking for gawk
configure:2541: result: gawk
configure:2600: checking for gcc
configure:2616: found /usr/bin/gcc
configure:2627: result: gcc
configure:2856: checking for C compiler version
configure:2865: gcc --version >&5
gcc (GCC) 6.4.1 20170727 (Red Hat 6.4.1-1)
Copyright (C) 2017 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
configure:2876: $? = 0
configure:2865: gcc -v >&5
Using built-in specs.
COLLECT_GCC=gcc
COLLECT_LTO_WRAPPER=/usr/libexec/gcc/x86_64-redhat-linux/6.4.1/lto-wrapper
Target: x86_64-redhat-linux
Configured with: ../configure --enable-bootstrap --enable-languages=c,c++,objc,obj-c++,fortran,ada,go,lto --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info --with-bugurl=http://bugzilla.redhat.com/bugzilla --enable-shared --enable-threads=posix --enable-checking=release --enable-multilib --with-system-zlib --enable-__cxa_atexit --disable-libunwind-exceptions --enable-gnu-unique-object --enable-linker-build-id --with-linker-hash-style=gnu --enable-plugin --enable-initfini-array --disable-libgcj --with-isl --enable-libmpx --enable-gnu-indirect-function --with-tune=generic --with-arch_32=i686 --build=x86_64-redhat-linux
Thread model: posix
gcc version 6.4.1 20170727 (Red Hat 6.4.1-1) (GCC)
configure:2876: $? = 0
configure:2865: gcc -V >&5
gcc: error: unrecognized command line option '-V'
gcc: fatal error: no input files
compilation terminated.
configure:2876: $? = 1
configure:2865: gcc -qversion >&5
gcc: error: unrecognized command line option '-qversion'; did you mean '--version'?
gcc: fatal error: no input files
compilation terminated.
configure:2876: $? = 1
configure:2896: checking whether the C compiler works
configure:2918: gcc conftest.c >&5
configure:2922: $? = 0
configure:2970: result: yes
configure:2973: checking for C compiler default output file name
configure:2975: result: a.out
configure:2981: checking for suffix of executables
configure:2988: gcc -o conftest conftest.c >&5
configure:2992: $? = 0
configure:3014: result:
configure:3036: checking whether we are cross compiling
configure:3044: gcc -o conftest conftest.c >&5
configure:3048: $? = 0
configure:3055: ./conftest
configure:3059: $? = 0
configure:3074: result: no
configure:3079: checking for suffix of object files
configure:3101: gcc -c conftest.c >&5
configure:3105: $? = 0
configure:3126: result: o
configure:3130: checking whether we are using the GNU C compiler
configure:3149: gcc -c conftest.c >&5
configure:3149: $? = 0
configure:3158: result: yes
configure:3167: checking whether gcc accepts -g
configure:3187: gcc -c -g conftest.c >&5
configure:3187: $? = 0
configure:3228: result: yes
configure:3245: checking for gcc option to accept ISO C89
configure:3308: gcc -c -g -O2 conftest.c >&5
configure:3308: $? = 0
configure:3321: result: none needed
configure:3346: checking whether gcc understands -c and -o together
configure:3368: gcc -c conftest.c -o conftest2.o
configure:3371: $? = 0
configure:3368: gcc -c conftest.c -o conftest2.o
configure:3371: $? = 0
configure:3383: result: yes
configure:3403: checking whether make supports the include directive
configure:3418: make -f confmf.GNU && cat confinc.out
this is the am__doit target
configure:3421: $? = 0
configure:3440: result: yes (GNU style)
configure:3465: checking dependency style of gcc
configure:3576: result: gcc3
configure:3649: checking for g++
configure:3665: found /usr/bin/g++
configure:3676: result: g++
configure:3703: checking for C++ compiler version
configure:3712: g++ --version >&5
g++ (GCC) 6.4.1 20170727 (Red Hat 6.4.1-1)
Copyright (C) 2017 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
configure:3723: $? = 0
configure:3712: g++ -v >&5
Using built-in specs.
COLLECT_GCC=g++
COLLECT_LTO_WRAPPER=/usr/libexec/gcc/x86_64-redhat-linux/6.4.1/lto-wrapper
Target: x86_64-redhat-linux
Configured with: ../configure --enable-bootstrap --enable-languages=c,c++,objc,obj-c++,fortran,ada,go,lto --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info --with-bugurl=http://bugzilla.redhat.com/bugzilla --enable-shared --enable-threads=posix --enable-checking=release --enable-multilib --with-system-zlib --enable-__cxa_atexit --disable-libunwind-exceptions --enable-gnu-unique-object --enable-linker-build-id --with-linker-hash-style=gnu --enable-plugin --enable-initfini-array --disable-libgcj --with-isl --enable-libmpx --enable-gnu-indirect-function --with-tune=generic --with-arch_32=i686 --build=x86_64-redhat-linux
Thread model: posix
gcc version 6.4.1 20170727 (Red Hat 6.4.1-1) (GCC)
configure:3723: $? = 0
configure:3712: g++ -V >&5
g++: error: unrecognized command line option '-V'
g++: fatal error: no input files
compilation terminated.
configure:3723: $? = 1
configure:3712: g++ -qversion >&5
g++: error: unrecognized command line option '-qversion'; did you mean '--version'?
g++: fatal error: no input files
compilation terminated.
configure:3723: $? = 1
configure:3727: checking whether we are using the GNU C++ compiler
configure:3746: g++ -c conftest.cpp >&5
configure:3746: $? = 0
configure:3755: result: yes
configure:3764: checking whether g++ accepts -g
configure:3784: g++ -c -g conftest.cpp >&5
configure:3784: $? = 0
configure:3825: result: yes
configure:3850: checking dependency style of g++
configure:3961: result: gcc3
configure:3985: checking for expect
configure:4003: found /usr/bin/expect
configure:4015: result: /usr/bin/expect
configure:4027: checking Tcl version 8.5 or greater
configure:4040: result: yes
configure:4205: checking that generated files are newer than configure
configure:4211: result: done
configure:4242: creating ./config.status
## ---------------------- ##
## Running config.status. ##
## ---------------------- ##
This file was extended by GNU DejaGnu config.status 1.6.3-git, which was
generated by GNU Autoconf 2.69. Invocation command line was
CONFIG_FILES =
CONFIG_HEADERS =
CONFIG_LINKS =
CONFIG_COMMANDS =
$ ./config.status
on MacFed.local
config.status:786: creating Makefile
config.status:958: executing depfiles commands
config.status:1035: cd . && sed -e '/# am--include-marker/d' Makefile | make -f - am--depfiles
config.status:1040: $? = 0
## ---------------- ##
## Cache variables. ##
## ---------------- ##
ac_cv_c_compiler_gnu=yes
ac_cv_cxx_compiler_gnu=yes
ac_cv_dg_tcl_modern=yes
ac_cv_env_CCC_set=
ac_cv_env_CCC_value=
ac_cv_env_CC_set=
ac_cv_env_CC_value=
ac_cv_env_CFLAGS_set=
ac_cv_env_CFLAGS_value=
ac_cv_env_CPPFLAGS_set=
ac_cv_env_CPPFLAGS_value=
ac_cv_env_CXXFLAGS_set=
ac_cv_env_CXXFLAGS_value=
ac_cv_env_CXX_set=
ac_cv_env_CXX_value=
ac_cv_env_LDFLAGS_set=
ac_cv_env_LDFLAGS_value=
ac_cv_env_LIBS_set=
ac_cv_env_LIBS_value=
ac_cv_env_build_alias_set=
ac_cv_env_build_alias_value=
ac_cv_env_host_alias_set=
ac_cv_env_host_alias_value=
ac_cv_env_target_alias_set=
ac_cv_env_target_alias_value=
ac_cv_objext=o
ac_cv_path_EXPECT=/usr/bin/expect
ac_cv_path_install='/usr/bin/install -c'
ac_cv_path_mkdir=/usr/bin/mkdir
ac_cv_prog_AWK=gawk
ac_cv_prog_ac_ct_CC=gcc
ac_cv_prog_ac_ct_CXX=g++
ac_cv_prog_cc_c89=
ac_cv_prog_cc_g=yes
ac_cv_prog_cxx_g=yes
ac_cv_prog_make_make_set=yes
am_cv_CC_dependencies_compiler_type=gcc3
am_cv_CXX_dependencies_compiler_type=gcc3
am_cv_make_support_nested_variables=yes
am_cv_prog_cc_c_o=yes
## ----------------- ##
## Output variables. ##
## ----------------- ##
ACLOCAL='${SHELL} /home/fw/git/dejagnu/missing aclocal-1.16'
AMDEPBACKSLASH='\'
AMDEP_FALSE='#'
AMDEP_TRUE=''
AMTAR='$${TAR-tar}'
AM_BACKSLASH='\'
AM_DEFAULT_V='$(AM_DEFAULT_VERBOSITY)'
AM_DEFAULT_VERBOSITY='1'
AM_V='$(V)'
AUTOCONF='${SHELL} /home/fw/git/dejagnu/missing autoconf'
AUTOHEADER='${SHELL} /home/fw/git/dejagnu/missing autoheader'
AUTOMAKE='${SHELL} /home/fw/git/dejagnu/missing automake-1.16'
AWK='gawk'
BRANCH='master'
CC='gcc'
CCDEPMODE='depmode=gcc3'
CFLAGS='-g -O2'
CPPFLAGS=''
CXX='g++'
CXXDEPMODE='depmode=gcc3'
CXXFLAGS='-g -O2'
CYGPATH_W='echo'
DEFS='-DPACKAGE_NAME=\"GNU\ DejaGnu\" -DPACKAGE_TARNAME=\"dejagnu\" -DPACKAGE_VERSION=\"1.6.3-git\" -DPACKAGE_STRING=\"GNU\ DejaGnu\ 1.6.3-git\" -DPACKAGE_BUGREPORT=\"[email protected]\" -DPACKAGE_URL=\"http://www.gnu.org/software/dejagnu/\" -DPACKAGE=\"dejagnu\" -DVERSION=\"1.6.3-git\"'
DEJAGNU='/dev/null'
DEPDIR='.deps'
ECHO_C=''
ECHO_N='-n'
ECHO_T=''
EXEEXT=''
EXPECT='/usr/bin/expect'
INSTALL_DATA='${INSTALL} -m 644'
INSTALL_PROGRAM='${INSTALL}'
INSTALL_SCRIPT='${INSTALL}'
INSTALL_STRIP_PROGRAM='$(install_sh) -c -s'
LDFLAGS=''
LIBOBJS=''
LIBS=''
LTLIBOBJS=''
MAINT='#'
MAINTAINER_MODE_FALSE=''
MAINTAINER_MODE_TRUE='#'
MAKEINFO='${SHELL} /home/fw/git/dejagnu/missing makeinfo'
MKDIR_P='/usr/bin/mkdir -p'
OBJEXT='o'
PACKAGE='dejagnu'
PACKAGE_BUGREPORT='[email protected]'
PACKAGE_NAME='GNU DejaGnu'
PACKAGE_STRING='GNU DejaGnu 1.6.3-git'
PACKAGE_TARNAME='dejagnu'
PACKAGE_URL='http://www.gnu.org/software/dejagnu/'
PACKAGE_VERSION='1.6.3-git'
PATH_SEPARATOR=':'
SET_MAKE=''
SHELL='/bin/sh'
STRIP=''
VERSION='1.6.3-git'
ac_ct_CC='gcc'
ac_ct_CXX='g++'
am__EXEEXT_FALSE=''
am__EXEEXT_TRUE='#'
am__fastdepCC_FALSE='#'
am__fastdepCC_TRUE=''
am__fastdepCXX_FALSE='#'
am__fastdepCXX_TRUE=''
am__include='include'
am__isrc=''
am__leading_dot='.'
am__nodep='_no'
am__quote=''
am__tar='$${TAR-tar} chof - "$$tardir"'
am__untar='$${TAR-tar} xf -'
bindir='${exec_prefix}/bin'
build_alias=''
datadir='${datarootdir}'
datarootdir='${prefix}/share'
docdir='${datarootdir}/doc/${PACKAGE_TARNAME}'
dvidir='${docdir}'
exec_prefix='${prefix}'
host_alias=''
htmldir='${docdir}'
includedir='${prefix}/include'
infodir='${datarootdir}/info'
install_sh='${SHELL} /home/fw/git/dejagnu/install-sh'
libdir='${exec_prefix}/lib'
libexecdir='${exec_prefix}/libexec'
localedir='${datarootdir}/locale'
localstatedir='${prefix}/var'
mandir='${datarootdir}/man'
mkdir_p='$(MKDIR_P)'
oldincludedir='/usr/include'
pdfdir='${docdir}'
prefix='/usr/local'
program_transform_name='s,x,x,'
psdir='${docdir}'
sbindir='${exec_prefix}/sbin'
sharedstatedir='${prefix}/com'
sysconfdir='${prefix}/etc'
target_alias=''
## ----------- ##
## confdefs.h. ##
## ----------- ##
/* confdefs.h */
#define PACKAGE_NAME "GNU DejaGnu"
#define PACKAGE_TARNAME "dejagnu"
#define PACKAGE_VERSION "1.6.3-git"
#define PACKAGE_STRING "GNU DejaGnu 1.6.3-git"
#define PACKAGE_BUGREPORT "[email protected]"
#define PACKAGE_URL "http://www.gnu.org/software/dejagnu/"
#define PACKAGE "dejagnu"
#define VERSION "1.6.3-git"
configure: exit 0
MacFed-check.log
(text/plain, 3.6 KB)
Done. Now run 'make install'.
make unit
make[1]: Entering directory '/home/fw/git/dejagnu'
make[1]: 'unit' is up to date.
make[1]: Leaving directory '/home/fw/git/dejagnu'
make check-DEJAGNU
make[1]: Entering directory '/home/fw/git/dejagnu'
srcdir='.'; export srcdir; \
EXPECT=/usr/bin/expect; export EXPECT; \
if /bin/sh -c "./runtest --version" > /dev/null 2>&1; then \
exit_status=0; l='launcher libdejagnu report-card runtest'; for tool in $l; do \
if ./runtest --tool $tool --srcdir $srcdir ; \
then :; else exit_status=1; fi; \
done; \
else echo "WARNING: could not find './runtest'" 1>&2; :;\
fi; \
exit $exit_status
Using ./testsuite/lib/launcher.exp as tool init file.
Test run by fw on Mon Nov 9 18:09:35 2020
Native configuration is x86_64-pc-linux-gnu
=== launcher tests ===
Schedule of variations:
unix
Running target unix
Using ./baseboards/unix.exp as board description file for target.
Using ./config/unix.exp as generic interface file for target.
Using ./testsuite/../config/unix.exp as tool-and-target-specific interface file.
Running ./testsuite/launcher.all/command.exp ...
ERROR: Could not set up test environment.
ERROR: Could not set up test environment.
ERROR: Could not set up test environment.
ERROR: Could not set up test environment.
ERROR: Could not set up test environment.
Running ./testsuite/launcher.all/help.exp ...
Running ./testsuite/launcher.all/interp.exp ...
Running ./testsuite/launcher.all/verbose.exp ...
=== launcher Summary ===
# of expected passes 19
# of unsupported tests 33
Using ./testsuite/lib/libdejagnu.exp as tool init file.
Test run by fw on Mon Nov 9 18:09:36 2020
Native configuration is x86_64-pc-linux-gnu
=== libdejagnu tests ===
Schedule of variations:
unix
Running target unix
Using ./baseboards/unix.exp as board description file for target.
Using ./config/unix.exp as generic interface file for target.
Using ./testsuite/../config/unix.exp as tool-and-target-specific interface file.
Running ./testsuite/libdejagnu/tunit.exp ...
=== libdejagnu Summary ===
# of expected passes 5
Using ./testsuite/lib/report-card.exp as tool init file.
Test run by fw on Mon Nov 9 18:09:36 2020
Native configuration is x86_64-pc-linux-gnu
=== report-card tests ===
Schedule of variations:
unix
Running target unix
Using ./baseboards/unix.exp as board description file for target.
Using ./config/unix.exp as generic interface file for target.
Using ./testsuite/../config/unix.exp as tool-and-target-specific interface file.
Running ./testsuite/report-card.all/onetest.exp ...
Running ./testsuite/report-card.all/passes.exp ...
=== report-card Summary ===
# of expected passes 245
Using ./testsuite/lib/runtest.exp as tool init file.
Test run by fw on Mon Nov 9 18:09:36 2020
Native configuration is x86_64-pc-linux-gnu
=== runtest tests ===
Schedule of variations:
unix
Running target unix
Using ./baseboards/unix.exp as board description file for target.
Using ./config/unix.exp as generic interface file for target.
Using ./testsuite/../config/unix.exp as tool-and-target-specific interface file.
Running ./testsuite/runtest.libs/libs.exp ...
Running ./testsuite/runtest.libs/load_lib.exp ...
Running ./testsuite/runtest.main/error.exp ...
Running ./testsuite/runtest.main/options.exp ...
Running ./testsuite/runtest.main/pr42399.exp ...
Running ./testsuite/runtest.main/stats.exp ...
=== runtest Summary ===
# of expected passes 296
DejaGnu version 1.6.3-git
Expect version 5.45
Tcl version 8.6
make[1]: Leaving directory '/home/fw/git/dejagnu'
MacPro-config.log
(text/plain, 12.1 KB)
This file contains any messages produced by compilers while
running configure, to aid debugging if configure makes a mistake.
It was created by GNU DejaGnu configure 1.6.3-git, which was
generated by GNU Autoconf 2.69. Invocation command line was
$ ./configure
## --------- ##
## Platform. ##
## --------- ##
hostname = MacPro.local
uname -m = x86_64
uname -r = 13.4.0
uname -s = Darwin
uname -v = Darwin Kernel Version 13.4.0: Mon Jan 11 18:17:34 PST 2016; root:xnu-2422.115.15~1/RELEASE_X86_64
/usr/bin/uname -p = i386
/bin/uname -X = unknown
/bin/arch = unknown
/usr/bin/arch -k = unknown
/usr/convex/getsysinfo = unknown
/usr/bin/hostinfo = Mach kernel version:
Darwin Kernel Version 13.4.0: Mon Jan 11 18:17:34 PST 2016; root:xnu-2422.115.15~1/RELEASE_X86_64
Kernel configured for up to 24 processors.
12 processors are physically available.
24 processors are logically available.
Processor type: i486 (Intel 80486)
Processors active: 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23
Primary memory available: 128.00 gigabytes
Default processor set: 206 tasks, 860 threads, 24 processors
Load average: 1.15, Mach factor: 22.83
/bin/machine = unknown
/usr/bin/oslevel = unknown
/bin/universe = unknown
PATH: /Users/fw/bin
PATH: /Users/fw/xntpbin
PATH: /opt/local/bin
PATH: /opt/local/sbin
PATH: /Library/Developer/CommandLineTools/usr/bin
PATH: /Users/fw/Library/Android/sdk/platform-tools
PATH: /usr/local/vbcc/bin
PATH: /usr/local/linaro/arm-linux-gnueabihf/bin
PATH: /usr/bin
PATH: /bin
PATH: /usr/sbin
PATH: /sbin
PATH: /usr/local/bin
PATH: /opt/X11/bin
PATH: /usr/local/Cellar/dtc/tree/bin
PATH: /opt/local/Library/Frameworks/Python.framework/Versions/2.7/bin
## ----------- ##
## Core tests. ##
## ----------- ##
configure:1892: checking for a BSD-compatible install
configure:1960: result: /opt/local/bin/ginstall -c
configure:1971: checking whether build environment is sane
configure:2026: result: yes
configure:2177: checking for a thread-safe mkdir -p
configure:2216: result: /opt/local/bin/gmkdir -p
configure:2223: checking for gawk
configure:2239: found /opt/local/bin/gawk
configure:2250: result: gawk
configure:2261: checking whether make sets $(MAKE)
configure:2283: result: yes
configure:2312: checking whether make supports nested variables
configure:2329: result: yes
configure:2456: checking whether to enable maintainer-specific portions of Makefiles
configure:2465: result: no
configure:2478: checking whether make sets $(MAKE)
configure:2500: result: yes
configure:2514: checking for gawk
configure:2541: result: gawk
configure:2600: checking for gcc
configure:2616: found /Library/Developer/CommandLineTools/usr/bin/gcc
configure:2627: result: gcc
configure:2856: checking for C compiler version
configure:2865: gcc --version >&5
Apple LLVM version 6.0 (clang-600.0.57) (based on LLVM 3.5svn)
Target: x86_64-apple-darwin13.4.0
Thread model: posix
Configured with: --prefix=/Applications/Xcode.app/Contents/Developer/usr --with-gxx-include-dir=/usr/include/c++/4.2.1
configure:2876: $? = 0
configure:2865: gcc -v >&5
Configured with: --prefix=/Applications/Xcode.app/Contents/Developer/usr --with-gxx-include-dir=/usr/include/c++/4.2.1
Apple LLVM version 6.0 (clang-600.0.57) (based on LLVM 3.5svn)
Target: x86_64-apple-darwin13.4.0
Thread model: posix
configure:2876: $? = 0
configure:2865: gcc -V >&5
clang: error: argument to '-V' is missing (expected 1 value)
clang: error: no input files
configure:2876: $? = 1
configure:2865: gcc -qversion >&5
clang: error: unknown argument: '-qversion'
clang: error: no input files
configure:2876: $? = 1
configure:2896: checking whether the C compiler works
configure:2918: gcc conftest.c >&5
configure:2922: $? = 0
configure:2970: result: yes
configure:2973: checking for C compiler default output file name
configure:2975: result: a.out
configure:2981: checking for suffix of executables
configure:2988: gcc -o conftest conftest.c >&5
configure:2992: $? = 0
configure:3014: result:
configure:3036: checking whether we are cross compiling
configure:3044: gcc -o conftest conftest.c >&5
configure:3048: $? = 0
configure:3055: ./conftest
configure:3059: $? = 0
configure:3074: result: no
configure:3079: checking for suffix of object files
configure:3101: gcc -c conftest.c >&5
configure:3105: $? = 0
configure:3126: result: o
configure:3130: checking whether we are using the GNU C compiler
configure:3149: gcc -c conftest.c >&5
configure:3149: $? = 0
configure:3158: result: yes
configure:3167: checking whether gcc accepts -g
configure:3187: gcc -c -g conftest.c >&5
configure:3187: $? = 0
configure:3228: result: yes
configure:3245: checking for gcc option to accept ISO C89
configure:3308: gcc -c -g -O2 conftest.c >&5
configure:3308: $? = 0
configure:3321: result: none needed
configure:3346: checking whether gcc understands -c and -o together
configure:3368: gcc -c conftest.c -o conftest2.o
configure:3371: $? = 0
configure:3368: gcc -c conftest.c -o conftest2.o
configure:3371: $? = 0
configure:3383: result: yes
configure:3403: checking whether make supports the include directive
configure:3418: make -f confmf.GNU && cat confinc.out
this is the am__doit target
configure:3421: $? = 0
configure:3440: result: yes (GNU style)
configure:3465: checking dependency style of gcc
configure:3576: result: gcc3
configure:3649: checking for g++
configure:3665: found /Library/Developer/CommandLineTools/usr/bin/g++
configure:3676: result: g++
configure:3703: checking for C++ compiler version
configure:3712: g++ --version >&5
Apple LLVM version 6.0 (clang-600.0.57) (based on LLVM 3.5svn)
Target: x86_64-apple-darwin13.4.0
Thread model: posix
Configured with: --prefix=/Applications/Xcode.app/Contents/Developer/usr --with-gxx-include-dir=/usr/include/c++/4.2.1
configure:3723: $? = 0
configure:3712: g++ -v >&5
Configured with: --prefix=/Applications/Xcode.app/Contents/Developer/usr --with-gxx-include-dir=/usr/include/c++/4.2.1
Apple LLVM version 6.0 (clang-600.0.57) (based on LLVM 3.5svn)
Target: x86_64-apple-darwin13.4.0
Thread model: posix
configure:3723: $? = 0
configure:3712: g++ -V >&5
clang: error: argument to '-V' is missing (expected 1 value)
clang: error: no input files
configure:3723: $? = 1
configure:3712: g++ -qversion >&5
clang: error: unknown argument: '-qversion'
clang: error: no input files
configure:3723: $? = 1
configure:3727: checking whether we are using the GNU C++ compiler
configure:3746: g++ -c conftest.cpp >&5
configure:3746: $? = 0
configure:3755: result: yes
configure:3764: checking whether g++ accepts -g
configure:3784: g++ -c -g conftest.cpp >&5
configure:3784: $? = 0
configure:3825: result: yes
configure:3850: checking dependency style of g++
configure:3961: result: gcc3
configure:3985: checking for expect
configure:4003: found /usr/bin/expect
configure:4015: result: /usr/bin/expect
configure:4027: checking Tcl version 8.5 or greater
configure:4040: result: yes
configure:4205: checking that generated files are newer than configure
configure:4211: result: done
configure:4242: creating ./config.status
## ---------------------- ##
## Running config.status. ##
## ---------------------- ##
This file was extended by GNU DejaGnu config.status 1.6.3-git, which was
generated by GNU Autoconf 2.69. Invocation command line was
CONFIG_FILES =
CONFIG_HEADERS =
CONFIG_LINKS =
CONFIG_COMMANDS =
$ ./config.status
on MacPro.local
config.status:786: creating Makefile
config.status:958: executing depfiles commands
config.status:1035: cd . && sed -e '/# am--include-marker/d' Makefile | make -f - am--depfiles
config.status:1040: $? = 0
## ---------------- ##
## Cache variables. ##
## ---------------- ##
ac_cv_c_compiler_gnu=yes
ac_cv_cxx_compiler_gnu=yes
ac_cv_dg_tcl_modern=yes
ac_cv_env_CCC_set=
ac_cv_env_CCC_value=
ac_cv_env_CC_set=
ac_cv_env_CC_value=
ac_cv_env_CFLAGS_set=
ac_cv_env_CFLAGS_value=
ac_cv_env_CPPFLAGS_set=
ac_cv_env_CPPFLAGS_value=
ac_cv_env_CXXFLAGS_set=
ac_cv_env_CXXFLAGS_value=
ac_cv_env_CXX_set=
ac_cv_env_CXX_value=
ac_cv_env_LDFLAGS_set=
ac_cv_env_LDFLAGS_value=
ac_cv_env_LIBS_set=
ac_cv_env_LIBS_value=
ac_cv_env_build_alias_set=
ac_cv_env_build_alias_value=
ac_cv_env_host_alias_set=
ac_cv_env_host_alias_value=
ac_cv_env_target_alias_set=
ac_cv_env_target_alias_value=
ac_cv_objext=o
ac_cv_path_EXPECT=/usr/bin/expect
ac_cv_path_install='/opt/local/bin/ginstall -c'
ac_cv_path_mkdir=/opt/local/bin/gmkdir
ac_cv_prog_AWK=gawk
ac_cv_prog_ac_ct_CC=gcc
ac_cv_prog_ac_ct_CXX=g++
ac_cv_prog_cc_c89=
ac_cv_prog_cc_g=yes
ac_cv_prog_cxx_g=yes
ac_cv_prog_make_make_set=yes
am_cv_CC_dependencies_compiler_type=gcc3
am_cv_CXX_dependencies_compiler_type=gcc3
am_cv_make_support_nested_variables=yes
am_cv_prog_cc_c_o=yes
## ----------------- ##
## Output variables. ##
## ----------------- ##
ACLOCAL='${SHELL} /Volumes/MacPro-Misc/GitOther/dejagnu/missing aclocal-1.16'
AMDEPBACKSLASH='\'
AMDEP_FALSE='#'
AMDEP_TRUE=''
AMTAR='$${TAR-tar}'
AM_BACKSLASH='\'
AM_DEFAULT_V='$(AM_DEFAULT_VERBOSITY)'
AM_DEFAULT_VERBOSITY='1'
AM_V='$(V)'
AUTOCONF='${SHELL} /Volumes/MacPro-Misc/GitOther/dejagnu/missing autoconf'
AUTOHEADER='${SHELL} /Volumes/MacPro-Misc/GitOther/dejagnu/missing autoheader'
AUTOMAKE='${SHELL} /Volumes/MacPro-Misc/GitOther/dejagnu/missing automake-1.16'
AWK='gawk'
BRANCH='master'
CC='gcc'
CCDEPMODE='depmode=gcc3'
CFLAGS='-g -O2'
CPPFLAGS=''
CXX='g++'
CXXDEPMODE='depmode=gcc3'
CXXFLAGS='-g -O2'
CYGPATH_W='echo'
DEFS='-DPACKAGE_NAME=\"GNU\ DejaGnu\" -DPACKAGE_TARNAME=\"dejagnu\" -DPACKAGE_VERSION=\"1.6.3-git\" -DPACKAGE_STRING=\"GNU\ DejaGnu\ 1.6.3-git\" -DPACKAGE_BUGREPORT=\"[email protected]\" -DPACKAGE_URL=\"http://www.gnu.org/software/dejagnu/\" -DPACKAGE=\"dejagnu\" -DVERSION=\"1.6.3-git\"'
DEJAGNU='/dev/null'
DEPDIR='.deps'
ECHO_C='\c'
ECHO_N=''
ECHO_T=''
EXEEXT=''
EXPECT='/usr/bin/expect'
INSTALL_DATA='${INSTALL} -m 644'
INSTALL_PROGRAM='${INSTALL}'
INSTALL_SCRIPT='${INSTALL}'
INSTALL_STRIP_PROGRAM='$(install_sh) -c -s'
LDFLAGS=''
LIBOBJS=''
LIBS=''
LTLIBOBJS=''
MAINT='#'
MAINTAINER_MODE_FALSE=''
MAINTAINER_MODE_TRUE='#'
MAKEINFO='${SHELL} /Volumes/MacPro-Misc/GitOther/dejagnu/missing makeinfo'
MKDIR_P='/opt/local/bin/gmkdir -p'
OBJEXT='o'
PACKAGE='dejagnu'
PACKAGE_BUGREPORT='[email protected]'
PACKAGE_NAME='GNU DejaGnu'
PACKAGE_STRING='GNU DejaGnu 1.6.3-git'
PACKAGE_TARNAME='dejagnu'
PACKAGE_URL='http://www.gnu.org/software/dejagnu/'
PACKAGE_VERSION='1.6.3-git'
PATH_SEPARATOR=':'
SET_MAKE=''
SHELL='/bin/sh'
STRIP=''
VERSION='1.6.3-git'
ac_ct_CC='gcc'
ac_ct_CXX='g++'
am__EXEEXT_FALSE=''
am__EXEEXT_TRUE='#'
am__fastdepCC_FALSE='#'
am__fastdepCC_TRUE=''
am__fastdepCXX_FALSE='#'
am__fastdepCXX_TRUE=''
am__include='include'
am__isrc=''
am__leading_dot='.'
am__nodep='_no'
am__quote=''
am__tar='$${TAR-tar} chof - "$$tardir"'
am__untar='$${TAR-tar} xf -'
bindir='${exec_prefix}/bin'
build_alias=''
datadir='${datarootdir}'
datarootdir='${prefix}/share'
docdir='${datarootdir}/doc/${PACKAGE_TARNAME}'
dvidir='${docdir}'
exec_prefix='${prefix}'
host_alias=''
htmldir='${docdir}'
includedir='${prefix}/include'
infodir='${datarootdir}/info'
install_sh='${SHELL} /Volumes/MacPro-Misc/GitOther/dejagnu/install-sh'
libdir='${exec_prefix}/lib'
libexecdir='${exec_prefix}/libexec'
localedir='${datarootdir}/locale'
localstatedir='${prefix}/var'
mandir='${datarootdir}/man'
mkdir_p='$(MKDIR_P)'
oldincludedir='/usr/include'
pdfdir='${docdir}'
prefix='/usr/local'
program_transform_name='s,x,x,'
psdir='${docdir}'
sbindir='${exec_prefix}/sbin'
sharedstatedir='${prefix}/com'
sysconfdir='${prefix}/etc'
target_alias=''
## ----------- ##
## confdefs.h. ##
## ----------- ##
/* confdefs.h */
#define PACKAGE_NAME "GNU DejaGnu"
#define PACKAGE_TARNAME "dejagnu"
#define PACKAGE_VERSION "1.6.3-git"
#define PACKAGE_STRING "GNU DejaGnu 1.6.3-git"
#define PACKAGE_BUGREPORT "[email protected]"
#define PACKAGE_URL "http://www.gnu.org/software/dejagnu/"
#define PACKAGE "dejagnu"
#define VERSION "1.6.3-git"
configure: exit 0
MacPro-check.log
(text/plain, 7.9 KB)
Done. Now run 'make install'. make unit depbase=`echo testsuite/libdejagnu/unit.o | sed 's|[^/]*$|.deps/&|;s|\.o$||'`;\ g++ -DPACKAGE_NAME=\"GNU\ DejaGnu\" -DPACKAGE_TARNAME=\"dejagnu\" -DPACKAGE_VERSION=\"1.6.3-git\" -DPACKAGE_STRING=\"GNU\ DejaGnu\ 1.6.3-git\" -DPACKAGE_BUGREPORT=\"[email protected]\" -DPACKAGE_URL=\"http://www.gnu.org/software/dejagnu/\" -DPACKAGE=\"dejagnu\" -DVERSION=\"1.6.3-git\" -I. -I. -g -g -O2 -MT testsuite/libdejagnu/unit.o -MD -MP -MF $depbase.Tpo -c -o testsuite/libdejagnu/unit.o testsuite/libdejagnu/unit.cc &&\ mv -f $depbase.Tpo $depbase.Po g++ -I. -g -g -O2 -o unit testsuite/libdejagnu/unit.o make check-DEJAGNU Making a new site.exp file ... srcdir='.'; export srcdir; \ EXPECT=/usr/bin/expect; export EXPECT; \ if /bin/sh -c "./runtest --version" > /dev/null 2>&1; then \ exit_status=0; l='launcher libdejagnu report-card runtest'; for tool in $l; do \ if ./runtest --tool $tool --srcdir $srcdir ; \ then :; else exit_status=1; fi; \ done; \ else echo "WARNING: could not find './runtest'" 1>&2; :;\ fi; \ exit $exit_status Using ./testsuite/lib/launcher.exp as tool init file. Test run by fw on Mon Nov 9 18:11:46 2020 Native configuration is x86_64-apple-darwin13.4.0 === launcher tests === Schedule of variations: unix Running target unix Using ./baseboards/unix.exp as board description file for target. Using ./config/unix.exp as generic interface file for target. Using ./testsuite/../config/unix.exp as tool-and-target-specific interface file. Running ./testsuite/launcher.all/command.exp ... ERROR: Could not set up test environment. ERROR: Could not set up test environment. ERROR: Could not set up test environment. ERROR: Could not set up test environment. ERROR: Could not set up test environment. Running ./testsuite/launcher.all/help.exp ... FAIL: dejagnu help selects dejagnu(1) manpage FAIL: dejagnu help help selects dejagnu-help(1) manpage Running ./testsuite/launcher.all/interp.exp ... FAIL: have shell, always FAIL: have no Awk FAIL: have Awk FAIL: have no GNU Awk FAIL: have GNU Awk FAIL: GNU Awk substitutes for Awk FAIL: have no Tcl FAIL: have Tcl FAIL: have no Expect FAIL: have Expect FAIL: Expect substitutes for Tcl Running ./testsuite/launcher.all/verbose.exp ... FAIL: empty command FAIL: empty; verbose 1 FAIL: empty; verbose 2 FAIL: empty; verbose 3 === launcher Summary === # of expected passes 2 # of unexpected failures 17 # of unsupported tests 33 Using ./testsuite/lib/libdejagnu.exp as tool init file. Test run by fw on Mon Nov 9 18:11:46 2020 Native configuration is x86_64-apple-darwin13.4.0 === libdejagnu tests === Schedule of variations: unix Running target unix Using ./baseboards/unix.exp as board description file for target. Using ./config/unix.exp as generic interface file for target. Using ./testsuite/../config/unix.exp as tool-and-target-specific interface file. Running ./testsuite/libdejagnu/tunit.exp ... === libdejagnu Summary === # of expected passes 5 Using ./testsuite/lib/report-card.exp as tool init file. Test run by fw on Mon Nov 9 18:11:46 2020 Native configuration is x86_64-apple-darwin13.4.0 === report-card tests === Schedule of variations: unix Running target unix Using ./baseboards/unix.exp as board description file for target. Using ./config/unix.exp as generic interface file for target. Using ./testsuite/../config/unix.exp as tool-and-target-specific interface file. Running ./testsuite/report-card.all/onetest.exp ... ERROR: tcl error sourcing ./testsuite/report-card.all/onetest.exp. ERROR: tcl error code NONE ERROR: expect: spawn id exp9 not open while executing "expect { -re $re_table_row { for { set i 2 } { $i < 9 } { incr i } { if { $expect_out($i,string)\ == ( $i == $column_subexp_map($expe..." (file "./testsuite/report-card.all/onetest.exp" line 85) invoked from within "source ./testsuite/report-card.all/onetest.exp" ("uplevel" body line 1) invoked from within "uplevel #0 source ./testsuite/report-card.all/onetest.exp" invoked from within "catch "uplevel #0 source $test_file_name" msg" Running ./testsuite/report-card.all/passes.exp ... ERROR: tcl error sourcing ./testsuite/report-card.all/passes.exp. ERROR: tcl error code NONE ERROR: expect: spawn id exp11 not open while executing "expect { -re $re_file_row { foreach column $result_column_map colname $header_column_names have $expect_out(3,string) { set want 0 ..." (procedure "run_multipass_output_test" line 67) invoked from within "run_multipass_output_test $filetag" ("foreach" body line 2) invoked from within "foreach filetag [lsort [array names tuplemap]] { run_multipass_output_test $filetag }" (file "./testsuite/report-card.all/passes.exp" line 272) invoked from within "source ./testsuite/report-card.all/passes.exp" ("uplevel" body line 1) invoked from within "uplevel #0 source ./testsuite/report-card.all/passes.exp" invoked from within "catch "uplevel #0 source $test_file_name" msg" === report-card Summary === # of unresolved testcases 2 ERROR: ------------------------------------------- ERROR: in testcase ./testsuite/report-card.all/onetest.exp ERROR: expect: spawn id exp9 not open ERROR: tcl error code NONE ERROR: tcl error info: expect: spawn id exp9 not open while executing "expect { -re $re_table_row { for { set i 2 } { $i < 9 } { incr i } { if { $expect_out($i,string)\ == ( $i == $column_subexp_map($expe..." (file "./testsuite/report-card.all/onetest.exp" line 85) invoked from within "source ./testsuite/report-card.all/onetest.exp" ("uplevel" body line 1) invoked from within "uplevel #0 source ./testsuite/report-card.all/onetest.exp" invoked from within "catch "uplevel #0 source $test_file_name" msg" -------------------------------------------------- ERROR: ------------------------------------------- ERROR: in testcase ./testsuite/report-card.all/passes.exp ERROR: expect: spawn id exp11 not open ERROR: tcl error code NONE ERROR: tcl error info: expect: spawn id exp11 not open while executing "expect { -re $re_file_row { foreach column $result_column_map colname $header_column_names have $expect_out(3,string) { set want 0 ..." (procedure "run_multipass_output_test" line 67) invoked from within "run_multipass_output_test $filetag" ("foreach" body line 2) invoked from within "foreach filetag [lsort [array names tuplemap]] { run_multipass_output_test $filetag }" (file "./testsuite/report-card.all/passes.exp" line 272) invoked from within "source ./testsuite/report-card.all/passes.exp" ("uplevel" body line 1) invoked from within "uplevel #0 source ./testsuite/report-card.all/passes.exp" invoked from within "catch "uplevel #0 source $test_file_name" msg" -------------------------------------------------- Using ./testsuite/lib/runtest.exp as tool init file. Test run by fw on Mon Nov 9 18:11:46 2020 Native configuration is x86_64-apple-darwin13.4.0 === runtest tests === Schedule of variations: unix Running target unix Using ./baseboards/unix.exp as board description file for target. Using ./config/unix.exp as generic interface file for target. Using ./testsuite/../config/unix.exp as tool-and-target-specific interface file. Running ./testsuite/runtest.libs/libs.exp ... Running ./testsuite/runtest.libs/load_lib.exp ... Running ./testsuite/runtest.main/error.exp ... Running ./testsuite/runtest.main/options.exp ... Running ./testsuite/runtest.main/pr42399.exp ... Running ./testsuite/runtest.main/stats.exp ... === runtest Summary === # of expected passes 296 DejaGnu version 1.6.3-git Expect version 5.45 Tcl version 8.5 make[1]: *** [check-DEJAGNU] Error 1 make: *** [check-am] Error 2